﻿
local HomeVJR = foundation.createMod();

_HomePrefix = "HOME_VJR_V4"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    HomeVJR:msgBox("HouseAdditionV4: game version anterior to 1.6")
    return
end
HomeVJR:msgBox("HouseAdditionV4: game version" .. foundation.getGameVersion())

HomeVJR:registerEnumValue ("BUILDING_PART_TYPE", "EXTENSION")
HomeVJR:registerEnumValue ("BUILDING_PART_TYPE", "DECORATION")

HomeVJR:dofile("scripts/building.lua")

-- additions to the vanilla housing system
HomeVJR:dofile("scripts/random.lua")

-- Monument for manual setting 
HomeVJR:dofile("scripts/monument.lua")
